Bug report #1918

Edit -> options crashes application

Added by iknowjoseph - about 11 years ago. Updated about 11 years ago.

Status:Closed
Priority:Low
Assignee:nobody -
Category:Build/Install
Affected QGIS version: Regression?:No
Operating System:Debian Easy fix?:No
Pull Request or Patch supplied: Resolution:wontfix
Crashes QGIS or corrupts data: Copied to github as #:11978

Description

Running 1.2.0-1~jaunty1, clicking Edit -> options crashes the application.

Running the application from the terminal shows me:

[email protected]:~$ qgis
Python support ENABLED :-)
Loaded : Plugin Installer (package: plugin_installer)
qgis.bin: /build/buildd/qgis-1.2.0/src/app/qgsoptions.cpp:565: void QgsOptions::getEllipsoidList(): Assertion @myResult == 0' failed.
Aborted
[email protected]:~$

History

#1 Updated by Giovanni Manghi about 11 years ago

How did you installed it? repository? compiled?

#2 Updated by iknowjoseph - about 11 years ago

Installed from the ppas:

https://launchpad.net/~qgis/+archive/unstable

[email protected]:~$ sudo apt-get install qgis
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
libqgis1.2.0 qgis-common qgis-plugin-grass qgis-plugin-grass-common
The following NEW packages will be installed
libqgis1.2.0 qgis qgis-common qgis-plugin-grass qgis-plugin-grass-common
0 upgraded, 5 newly installed, 0 to remove and 3 not upgraded.
Need to get 6375kB/17.2MB of archives.
After this operation, 41.8MB of additional disk space will be used.
Do you want to continue [Y/n]? y
Get: 1 http://ppa.launchpad.net jaunty/main qgis-plugin-grass-common 1.2.0-1~jaunty1 [6375kB]
Fetched 6375kB in 9s (658kB/s)
Selecting previously deselected package libqgis1.2.0.
(Reading database ... 202922 files and directories currently installed.)
Unpacking libqgis1.2.0 (from .../libqgis1.2.0_1.2.0-1~jaunty1_i386.deb) ...
Selecting previously deselected package qgis-common.
Unpacking qgis-common (from .../qgis-common_1.2.0-1~jaunty1_all.deb) ...
Selecting previously deselected package qgis.
Unpacking qgis (from .../qgis_1.2.0-1~jaunty1_i386.deb) ...
Selecting previously deselected package qgis-plugin-grass-common.
Unpacking qgis-plugin-grass-common (from .../qgis-plugin-grass-common_1.2.0-1~jaunty1_all.deb) ...
Selecting previously deselected package qgis-plugin-grass.
Unpacking qgis-plugin-grass (from .../qgis-plugin-grass_1.2.0-1~jaunty1_i386.deb) ...
Adding @diversion of /usr/bin/qgis to /usr/bin/qgis.bin by qgis-plugin-grass'
Processing triggers for man-db ...
Processing triggers for shared-mime-info ...
Unknown media type in type 'all/all'

Unknown media type in type 'all/allfiles'

Unknown media type in type 'uri/mms'

Unknown media type in type 'uri/mmst'

Unknown media type in type 'uri/mmsu'

Unknown media type in type 'uri/pnm'

Unknown media type in type 'uri/rtspt'

Unknown media type in type 'uri/rtspu'

Unknown media type in type 'fonts/package'

Unknown media type in type 'interface/x-winamp-skin'

Processing triggers for menu ...
Setting up libqgis1.2.0 (1.2.0-1~jaunty1) ...

Setting up qgis-common (1.2.0-1~jaunty1) ...
Setting up qgis-plugin-grass-common (1.2.0-1~jaunty1) ...
Setting up qgis (1.2.0-1~jaunty1) ...

Setting up qgis-plugin-grass (1.2.0-1~jaunty1) ...

Processing triggers for libc6 ...
ldconfig deferred processing now taking place
Processing triggers for menu ...
[email protected]:~$

#3 Updated by Giovanni Manghi about 11 years ago

Strange,
I also have 3 different pc with qgis 1.2 installed from the same repository and I'm not hitting this problem. Did you any other previous version installed?

Replying to [comment:2 iknowjoseph]:

Installed from the ppas:

https://launchpad.net/~qgis/+archive/unstable

[email protected]:~$ sudo apt-get install qgis
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
libqgis1.2.0 qgis-common qgis-plugin-grass qgis-plugin-grass-common
The following NEW packages will be installed
libqgis1.2.0 qgis qgis-common qgis-plugin-grass qgis-plugin-grass-common
0 upgraded, 5 newly installed, 0 to remove and 3 not upgraded.
Need to get 6375kB/17.2MB of archives.
After this operation, 41.8MB of additional disk space will be used.
Do you want to continue [Y/n]? y
Get: 1 http://ppa.launchpad.net jaunty/main qgis-plugin-grass-common 1.2.0-1~jaunty1 [6375kB]
Fetched 6375kB in 9s (658kB/s)
Selecting previously deselected package libqgis1.2.0.
(Reading database ... 202922 files and directories currently installed.)
Unpacking libqgis1.2.0 (from .../libqgis1.2.0_1.2.0-1~jaunty1_i386.deb) ...
Selecting previously deselected package qgis-common.
Unpacking qgis-common (from .../qgis-common_1.2.0-1~jaunty1_all.deb) ...
Selecting previously deselected package qgis.
Unpacking qgis (from .../qgis_1.2.0-1~jaunty1_i386.deb) ...
Selecting previously deselected package qgis-plugin-grass-common.
Unpacking qgis-plugin-grass-common (from .../qgis-plugin-grass-common_1.2.0-1~jaunty1_all.deb) ...
Selecting previously deselected package qgis-plugin-grass.
Unpacking qgis-plugin-grass (from .../qgis-plugin-grass_1.2.0-1~jaunty1_i386.deb) ...
Adding @diversion of /usr/bin/qgis to /usr/bin/qgis.bin by qgis-plugin-grass'
Processing triggers for man-db ...
Processing triggers for shared-mime-info ...
Unknown media type in type 'all/all'

Unknown media type in type 'all/allfiles'

Unknown media type in type 'uri/mms'

Unknown media type in type 'uri/mmst'

Unknown media type in type 'uri/mmsu'

Unknown media type in type 'uri/pnm'

Unknown media type in type 'uri/rtspt'

Unknown media type in type 'uri/rtspu'

Unknown media type in type 'fonts/package'

Unknown media type in type 'interface/x-winamp-skin'

Processing triggers for menu ...
Setting up libqgis1.2.0 (1.2.0-1~jaunty1) ...

Setting up qgis-common (1.2.0-1~jaunty1) ...
Setting up qgis-plugin-grass-common (1.2.0-1~jaunty1) ...
Setting up qgis (1.2.0-1~jaunty1) ...

Setting up qgis-plugin-grass (1.2.0-1~jaunty1) ...

Processing triggers for libc6 ...
ldconfig deferred processing now taking place
Processing triggers for menu ...
[email protected]:~$

#4 Updated by iknowjoseph - about 11 years ago

I previously had 1.0.2 installed - I apt-get remove'd that prior to the installation of 1.2.0, however.

#5 Updated by Giovanni Manghi about 11 years ago

Replying to [comment:4 iknowjoseph]:

I previously had 1.0.2 installed - I apt-get remove'd that prior to the installation of 1.2.0, however.

Did you tried removing the ~/.qgis directory?

#6 Updated by iknowjoseph - about 11 years ago

Yes, the application still crashes.

#7 Updated by iknowjoseph - about 11 years ago

Fixed as per ticket 1919 - assume this can now be marked as a duplicate (or vice-versa) - still don't know why python-qgis wasn't installed as part of my original installation, however.

Thanks, Joseph

#8 Updated by Giovanni Manghi about 11 years ago

  • Resolution set to wontfix
  • Status changed from Open to Closed

Also available in: Atom PDF